![]() | Arc Class |
The Arc class defines an arc that is a two-point line with an optional curve radius.
It can be created using either two points and a radius or three points.

SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingGraphicObject
Tekla.Structures.DrawingOpenGraphicObject
Tekla.Structures.DrawingArc
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingGraphicObject
Tekla.Structures.DrawingOpenGraphicObject
Tekla.Structures.DrawingArc
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.1

The Arc type exposes the following members.

Name | Description | |
---|---|---|
![]() | Arc(ViewBase, Point, Point, Double) |
Creates a new arc instance with standard attributes and the given two points and radius.
|
![]() | Arc(ViewBase, Point, Point, Point) |
Creates a new arc instance with standard attributes and the given three points.
|
![]() | Arc(ViewBase, Point, Point, Double, ArcArcAttributes) |
Creates a new arc instance with the given two points, radius and specified attributes.
|
![]() | Arc(ViewBase, Point, Point, Point, ArcArcAttributes) |
Creates a new arc instance with the given three points and specified attributes.
|

Name | Description | |
---|---|---|
![]() | Attributes |
The attributes of the arc.
|
![]() | EndPoint |
The end point of the arc.
|
![]() | Hideable |
Accesses the information if this object is hidden or not or if it should be.
(Inherited from GraphicObject.) |
![]() | QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) |
![]() | Radius |
The radius of the arc.
|
![]() | StartPoint |
The start point of the arc.
|

Name | Description | |
---|---|---|
![]() | Delete |
Calls the system to delete the object.
(Overrides DatabaseObjectDelete.) |
![]() | GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) |
![]() | GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) |
![]() | GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) |
![]() | GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) |
![]() | Insert |
Calls the system to insert the new object.
(Overrides DatabaseObjectInsert.) |
![]() | IsEqual |
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).) |
![]() | IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) |
![]() | Modify |
Calls the system to update/modify the object.
(Overrides DatabaseObjectModify.) |
![]() | Select |
Calls the system to select and retrieve the object.
(Overrides DatabaseObjectSelect.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |

using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { DrawingHandler MyDrawingHandler = new DrawingHandler(); if(MyDrawingHandler.GetConnectionStatus()) { Arc MyArc; DrawingObjectEnumerator views = MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews(); while(views.MoveNext()) { MyArc = new Arc(views.Current as ViewBase, new Point(10, 10), new Point(200, 200), 300); MyArc.Insert(); } } } }
